-------------------------------------------------------------------------------
-- Filename:	cr_regions.sql
-- Purpose:	Creates the REGIONS table and its public synonym
-- Author:	Chas. Dye (cdye@excitecorp.com)
-- Date:	12-Jan-1998
-------------------------------------------------------------------------------

set echo on
set termout on
spool regions.log

DROP PUBLIC SYNONYM regions
/
DROP TABLE regions CASCADE CONSTRAINTS
/
CREATE TABLE regions (
region_id	NUMBER(6)	NOT NULL,
country_id	NUMBER(6)	NOT NULL,
region_name	VARCHAR2(15)	NOT NULL,
audit_date	DATE		NOT NULL, 
audit_user	VARCHAR2(30)	NOT NULL, 
global_name	VARCHAR2(20)	NOT NULL
)
TABLESPACE sprocket_data STORAGE (INITIAL 16K NEXT 16K PCTINCREASE 0)
/

CREATE PUBLIC SYNONYM regions FOR regions
/

spool off
