-------------------------------------------------------------------------------
-- Filename:	nonrepobjects.sql
-- Author:	Chas. Dye (cdye@mailexcite.com)
-- Purpose:	Lists objects in a schema that are NOT replicated. Oracle8 only.
-- Date:	29-Aug-1998
-------------------------------------------------------------------------------
undef table_owner
set verify off

column owner			heading "Owner"			format a10
column name			heading "Name"			format a30
column table_name		heading "Table Name"		format a30
column tablespace_name		heading "Tablespace"		format a20

SELECT	t.owner,
	t.table_name,
	t.tablespace_name
FROM	dba_tables t
WHERE	owner = upper('&&table_owner')
AND	table_name NOT LIKE 'MLOG$_%'
AND	table_name NOT LIKE 'SNAP$_%'
AND	table_name NOT LIKE 'ULOG$_%'
AND	table_name NOT IN (
		SELECT	oname
		FROM	dba_repobject
		WHERE	sname = upper('&&table_owner'))
AND	table_name NOT IN (
		SELECT	name
		FROM	dba_registered_snapshots )
ORDER BY table_name
/

undef table_owner
