-------------------------------------------------------------------------------
-- Filename:	trg_regions.sql
-- Purpose:	Creates trigger(s) on table REGIONS.
-------------------------------------------------------------------------------

set echo on
set termout on
spool trg_regions.log

CREATE OR REPLACE TRIGGER t_br_iu_regions
BEFORE INSERT OR UPDATE
ON regions
FOR EACH ROW

BEGIN
	IF (dbms_reputil.from_remote != TRUE)
	THEN
		:new.audit_date		:= SYSDATE;
		:new.audit_user		:= USER;
		:new.global_name	:= DBMS_REPUTIL.GLOBAL_NAME;
	END IF;
END;
/

spool off
